Author Topic: Alsaversion  (Read 600 times)

pointman87

  • Veteran
  • ***
  • Posts: 109
    • View Profile
Alsaversion
« on: June 26, 2011, 11:20:39 am »
Hey all. I have been on 1004 for a couple of months now and downgraded back to 810, now to my issue.
Before i went 1004 i had audio over HDMI working out of the box on my acer revo r3610. Now i had to manually upgrade alsa to 1.0.23 to get HDMI audio work again. Is it something wrong with my install or has the alsa packages been downgraded for some reason?

Best regards Daniel

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3059
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: Alsaversion
« Reply #1 on: June 26, 2011, 12:02:21 pm »
Different Alsa version support different sound cards. Unfortunately, one can't assume that later versions of alsa keep the support for older versions of cards. That's the reason why we stopped automatically upgrading alsa upon install, but keep the alsa-modules-`uname- r` package available for people to install should they have a need for it.

pointman87

  • Veteran
  • ***
  • Posts: 109
    • View Profile
Re: Alsaversion
« Reply #2 on: June 27, 2011, 10:56:04 pm »
thank you posde for your reply. Wouldn´t  it be possible to make a detectionscript like nvidiainstall.sh for alsa telling the installer to use newer or older versions of alsa depending on the output in lspci? You know, for plug and play experience  ;)

Best regards Daniel

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3059
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: Alsaversion
« Reply #3 on: June 27, 2011, 11:53:13 pm »
Daniel,

yes, that's a good idea.

As soon as you have finished the detection script, please add it to a trac ticket, so we can include it in the setup.

Thanks for your help.